* Runs mortality for each background characteristic.

*Male.
Define subgroup ()
  '(Male)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4A.
if (CM5 = 1) ceb = ceb + CM6A.
if (CM7 = 1) ceb = ceb + CM8A.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8A.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 1.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if (wage  = 3  or  wage  = 4).
compute sex = 1.

aggregate outfile = 'tmpresult.sav'
  /break sex
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).



*----------------------------------------------------------------.
*Female.
Define subgroup ()
  '(Female)'
!enddefine.

get file='c:\mics\spss\WM.sav'.
select if (WM7 = 1).

*total children ever born.
compute ceb = 0.
if (CM3 = 1) ceb = ceb + CM4B.
if (CM5 = 1) ceb = ceb + CM6B.
if (CM7 = 1) ceb = ceb + CM8B.

*number of dead children.
do if (CM7 = 1).
+ compute deadkids = CM8B.
else.
+ compute deadkids = 0.
end if.

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 2.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute sex = 2.

aggregate outfile = 'tmp.sav'
  /break sex
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 1.
Define subgroup ()
  '(Banjul)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 1.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 2.
Define subgroup ()
  '(Kanifing)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 2.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*----------------------------------------------------------------.
*Region 3.
Define subgroup ()
  '(Brikama)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 3.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 4.
Define subgroup ()
  '(Mansakonko)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 4).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 4.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 5.
Define subgroup ()
  '(Kerewan)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 5).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 5.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Region 6.
Define subgroup ()
  '(Kuntaur)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 6).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 6.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*...................................................................

*Region 7.
Define subgroup ()
  '(Janjabureh)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 7).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 7.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.

*...................................................................

*Region 8.
Define subgroup ()
  '(Basse)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH7 = 8).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute HH7 = 8.

aggregate outfile = 'tmp.sav'
  /break HH7
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.


*...................................................................................
*Urban.
Define subgroup ()
  '(Urban)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute hh6 = 1.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Rural.
Define subgroup ()
  '(Rural)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (HH6 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute hh6 = 2.

aggregate outfile = 'tmp.sav'
  /break hh6
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(No education)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute melevel = 1.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Mother's education .
Define subgroup ()
  '(Primary)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute melevel = 2.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Mother's education.
Define subgroup ()
  '(Secondary +)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

compute filter_$ =  (melevel = 3).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute melevel = 3.

aggregate outfile = 'tmp.sav'
  /break melevel
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Wealth index quintiles.
Define subgroup ()
  '(Poorest_second_middle)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).
recode wlthind5 (1,2,3=1) (4,5=2).

compute filter_$ =  (Wlthind5 = 1).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute Wlthind5 = 1.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.



*----------------------------------------------------------------.
*Wealth index quintiles..
Define subgroup ()
  '(Fourth_richest)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

recode wlthind5 (1,2,3=1) (4,5=2).


select if (WM7 = 1).

compute filter_$ =  (Wlthind5 = 2).
FILTER BY filter_$.
weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute Wlthind5 = 2.

aggregate outfile = 'tmp.sav'
  /break Wlthind5
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.
save outfile='tmpresult.sav'.




*----------------------------------------------------------------.
*Total.
Define subgroup ()
  '(Total)'
!enddefine.

get file='c:\mics\spss\WM.sav'.

select if (WM7 = 1).

weight by wmweight.

* Set sex  1 = male, 2 = female, 3 = total.
compute qfivesex = 3.

* Execute the bulk of the qfive process.
include file = 'qfive setup.sps'.

* Calculate mean of 25-29 and 30-34 group from the South model.
select if(wage  = 3 or  wage  = 4).
compute total = 1.

aggregate outfile = 'tmp.sav'
  /break total
  /imr = mean(imrso)
  /u5mr = mean(u5mrso).

get file 'tmpresult.sav'.
add files
  /file = *
  /file = 'tmp.sav'.



*----------------------------------------------------------------.

variable label imr 'Infant Mortality Rate*'.
variable label u5mr 'Under-five Mortality Rate**'.
variable label sex 'Sex'.
variable label hh7 'Region'.
variable label hh6 'Area'.
variable label melevel "Mother's education".
variable label Wlthind5 'Wealth index quintiles'.
variable label total 'Total'.


value label sex 1 'Male' 2 'Female'.
value label hh7
 1 'Banjul'
 2 'Kanifing'
 3 'Brikama'
 4 'Mansakonko'
 5 'Kerewan'
 6 'Kuntaur'
 7 'Jajabureh'
 8 'Basse'.
value label hh6 1 'Urban' 2 'Rural'.
value label melevel 1 'None' 2 'Primary' 3 'Secondary+'.
value label wlthind5 1 "Poorest_Second_Middle" 2 "Fourth_Richest".
value label total 1 'Total'.

Compute imrm = imr*1000.
Compute u5mrm = u5mr*1000.
variable label imrm 'Infant Mortality Rate*'.
variable label u5mrm "Under-five Mortality Rate**".

* Comment - table below commented out and replaced by custom table
table
  /observation = imrm u5mrm
  /table= sex +hh7+ hh6 +melevel+wlthind5+total  by imrm + u5mrm
  /statistics
    mean( imrm( F7.0 )'')
    mean( u5mrm( F7.0 ) '')
  /title
   "Table CM.1: Early child mortality" 
   "Infant and under-five mortality rates by background and demographic characteristics [BASED ON NORTH], The Gambia, 2006"
  /caption
       "* MICS indicator 2; MDG indicator 14" 
       "** MICS indicator 1; MDG indicator13".

CTABLES
  /MRSETS COUNTDUPLICATES=YES
  /FORMAT EMPTY=BLANK
  /TABLE sex[C]+hh7[C]+hh6[C]+melevel[C]+wlthind5[C]+total[C] BY 
         imrm[S][MEAN,'',F7.0]+u5mrm[S][MEAN,'',F7.0]
  /CATEGORIES VAR=ALL EMPTY=EXCLUDE MISSING=EXCLUDE
  /SLABELS POSITION=COLUMN
  /TITLE TITLE="Table CM.1: Child mortality"
   "Infant and under-five mortality rates by background and demographic characteristics [BASED ON SOUTH], The Gambia, 2006"
            CAPTION="* MICS indicator 2; MDG indicator 14"
                            "** MICS indicator 1; MDG indicator 13".

new file.
erase file='tmp.sav'.
erase file='tmp2.sav'.
erase file='tmpcmr.sav'.
erase file='tmpresult.sav'.
