get file = "wm.sav".

weight by wmweight.

* Women with at least one living daughter.
recode CM4B CM6B (sysmis = 0).
compute daughter = CM4B + CM6B.
select if (daughter > 0).

compute total = 1.
value label total 1 "".
variable label total "Number of women aged 15-49 years".

compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "Daughter had any form of FGM/C *".




tables
  /format = zero
  /observation = fgm 
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel + wlthind5 + HC1C + tot1 by 
	  fgm + total 
  /statistics
    mean(fgm (f5.1) '')
    count(total (f5.0) '')
 /title
    "Table CP.8: Female genital mutilation/cutting (FGM/C) among daughters"
		"Percentage of women with at least one living daughter who has had "+
		"female genital mutilation (FGM/C) and the percentage by type of FGM/C "+
		"of the daughters, The Gambia, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 65".

new file.
