get file = "wm.sav".

weight by wmweight.

* Women with at least one living daughter.
recode CM4B CM6B (sysmis = 0).
compute daughter = CM4B + CM6B.
select if (daughter > 0).

compute total = 1.
value label total 1 "".
variable label total "Number of women aged 15-49 years".

compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "Daughter had any form of FGM/C *".


if (FG1 = 1) heardfgm  = 1.
value label heardfgm 1 "".
variable label heardfgm "Number of women aged 15-49 years who have heard of FGM/C".


DO IF (FG9 >= 1).
compute aged = 9.
if  (fg14 >= 0 and fg14 <= 4 ) aged  = 1.
if  (fg14 >= 5 and fg14 <= 9  ) aged  = 2.
if  (fg14 >= 10 and fg14 <= 14 ) aged  = 3.
if  (fg14 >= 15 and fg14 <= 35 ) aged  = 4.
compute single = 99.
if  (fg14 = 0 ) single  = 0.
if  (fg14 = 1 ) single  = 1.
if  (fg14 = 2 ) single  = 2.
if  (fg14 = 3 ) single  = 3.
if  (fg14 = 4 ) single  = 4.
if  (fg14 = 5 ) single  = 5.
if  (fg14 = 6 ) single  = 6.
if  (fg14 = 7 ) single  = 7.
if  (fg14 = 8 ) single  = 8.
if  (fg14 = 9 ) single  = 9.
if  (fg14 = 10 ) single  = 10.
if  (fg14 = 11 ) single  = 11.
if  (fg14 = 12 ) single  = 12.
if  (fg14 = 13) single  = 13.
if  (fg14 = 14 ) single  = 14.
if  (fg14 >= 15 and fg14 <= 35 ) single  = 15.
 compute totfgm = 1.
variable labels aged  "Age of daughter".
variable labels single  "Age of daughter".
value label aged 
 1 "0-4" 
 2 "5-9"
 3 "10-14" 
 4 "15+" 
 9 "Missing/DK".

value label single
  0 "0" 
  1 "1" 
  2 "2"
  3 "3"
  4 "4"
  5 "5" 
  6 "6" 
  7 "7" 
  8 "8"
  9 "9" 
10 "10"
11 "11"
12 "12"
13 "13" 
14 "14"
15 "15+".

end if.

* General Tables.
tables
  /format = zero
  /ftotal= $t000003 "Total" $t000002  $t000001 "Total"
  /table=aged + $t000003 + single + $t000002  BY  HH6 +wage+ melevel + $t000001
  /statistics
  cpct( HH6( F5.1 ) '': HH6 wage melevel  )
  cpct( wage( F5.1 ) '': HH6 wage melevel )
  cpct( melevel( F5.1 ) '':HH6 wage melevel  )
  /title 
        "Table CP8 A: Female genital mutilation/cutting (FGM/C) among daughters"
		"Percentage of women with at least one living daughter who has had "+
		"female genital mutilation (FGM/C) Cote d Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 65".


* General Tables.
tables
  /format = zero
  /ftotal= $t000003 "Total" $t000002  $t000001 "Total"
  /table=aged + $t000003 + single + $t000002  BY  HH6 +wage+ melevel + $t000001
  /statistics
  cpct( HH6( F5.1 ) '':aged single )
  cpct( wage( F5.1 ) '':aged single )
  cpct( melevel( F5.1 ) '':aged single )
  /title 
        "Table CP8 B: Female genital mutilation/cutting (FGM/C) among daughters"
		"Percentage of women with at least one living daughter who has had "+
		"female genital mutilation (FGM/C) Cote d Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 65".

new file.

get file = "wm.sav".

weight by wmweight.

* Women with at least one living daughter.
recode CM4B CM6B (sysmis = 0).
compute daughter = CM4B + CM6B.
select if (daughter > 0).

compute total = 1.
value label total 1 "".
variable label total "Number of women aged 15-49 years".

compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "Daughter had any form of FGM/C *".


compute fgm = 0.
if (FG9 >= 1 and FG9 <= 9) fgm  = 100.
variable label fgm "Daughter had any form of FGM/C *".
recode fg14 (15 thru 35 =15).
value labels fg14 15 "15+" 98 "Missing/DK".


do if (fgm = 100).
+ compute fgmtype = 9.
+ if (FG11 = 1 and FG13 <> 1) fgmtype = 1.
+ if (FG12 = 1 and FG13 <> 1) fgmtype = 2.
+ if (FG13 = 1) fgmtype = 3.
+ compute extreme = 0.
+ if (FG11 = 1 and FG13 = 1) extreme = 100.
+ compute totfgm = 1.
+ compute aged = 9.
+ if  (fg14 >= 0 and fg14 <= 4 ) aged  = 1.
+ if  (fg14 >= 5 and fg14 <= 9  ) aged  = 2.
+ if  (fg14 >= 10 and fg14 <= 14 ) aged  = 3.
+ if  (fg14 >= 15 and fg14 <= 35 ) aged  = 4.
+compute single = 99.
+ if  (fg14 = 0 ) single  = 0.
+ if  (fg14 = 1 ) single  = 1.
+ if  (fg14 = 2 ) single  = 2.
+ if  (fg14 = 3 ) single  = 3.
+ if  (fg14 = 4 ) single  = 4.
+ if  (fg14 = 5 ) single  = 5.
+ if  (fg14 = 6 ) single  = 6.
+ if  (fg14 = 7 ) single  = 7.
+ if  (fg14 = 8 ) single  = 8.
+ if  (fg14 = 9 ) single  = 9.
+ if  (fg14 = 10 ) single  = 10.
+ if  (fg14 = 11 ) single  = 11.
+ if  (fg14 = 12 ) single  = 12.
+ if  (fg14 = 13) single  = 13.
+ if  (fg14 = 14 ) single  = 14.
+ if  (fg14 >= 15 and fg14 <= 35 ) single  = 15.
+ compute totfgm = 1.
end if.
variable label fgmtype "Percentage of women whose daughters:".
value label fgmtype
   1 "Had flesh removed" 
   2 "Were nicked" 
   3 "Were sewn closed" 
   9 "Form of FGM/C not determined".
variable label extreme "Daughter had an extreme form of FGM/C".  
variable label totfgm "Number of women aged 15-49 years with at least one living daughter who had FGM/C".
value label totfgm 1 "".

variable labels aged  "Age of daughter".
variable labels single  "Age of daughter".
value label aged 
 1 "0-4" 
 2 "5-9"
 3 "10-14" 
 4 "15+" 
 9 "Missing/DK".
value label single
  0 "0" 
  1 "1" 
  2 "2"
  3 "3"
  4 "4"
  5 "5" 
  6 "6" 
  7 "7" 
  8 "8"
  9 "9" 
10 "10"
11 "11"
12 "12"
13 "13" 
14 "14"
15 "15+"
99 "Missing".

tables
  /format = zero
  /observation = fgm extreme
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel +aged +single+wlthind5 +HC1Cee+ tot1 by 
	  fgm + total + fgmtype + tot1 + extreme + totfgm
  /statistics
    mean(fgm (f5.1) '')
    count(total (f5.0) '')
    cpct(fgmtype (f5.1) '': HH7 HH6 wage melevel  wlthind5 religion aged single hc1cee)
    mean(extreme (f5.1) '')
    count(totfgm (f5.0) '')
 /title
    "Table CP.8: Female genital mutilation/cutting (FGM/C) among daughters"
		"Percentage of women with at least one living daughter who has had "+
		"female genital mutilation (FGM/C) Cote d Ivoire, 2006"
  /caption                                                                                                                                                                          
    "* MICS Indicator 65".

new file.
